Subject: [alpine-devel] ixgbe odd behavior

From: "Hosom, Stephen M" <[email-masked]>
Date: Thu, 18 Oct 2018 13:06:31 +0000

I'm seeing an extraordinarily odd behavior with ixgbe on Alpine:

Using the command "ethtool -K <dev> tx off" to disable tcp checksum offloading on an ixgbe device results in no longer seeing any tcp traffic on that interface until the next reboot.

I can't find anywhere that would indicate that this is defined behavior. On other distributions, disabling checksum offloading only does just that.

It's entirely possible that doing a rmmod and modprobe to reload ixgbe might fix the issue, but this system uses ixgbe for its management port, so its simpler to just reboot.

I thought that this might be an issue with Alpine's build of the ixgbe module, so I rebuilt the module with the source provided by intel and replicated the issue on version too. The ixgbe device that I'm using is an Intel X710-DA2 and the use-case is for packet capture / IDS.

uname -a

Linux somehost 4.14.69-0-vanilla #1-Alpine SMP Mon Sep 10 19:33:23 UTC 2018 x86_64 Linux

cat /etc/alpine-release

3.8.1

Anyone have any thoughts? This certainly seems like a bug to me, but if it is defined behavior and there's a work-around, I'd be perfectly happy with that too.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---